Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal
Interface Marshaller

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  PreferredStreamMarshaller, SerialMarshaller, VersionedMarshaller

All Known Implementing Classes:
  CompressingMarshaller, EncryptingMarshaller, HTTPMarshaller, RMIMarshaller, SerializableMarshaller

    public interface Marshaller

extends java.io.Serializable

Interface that all data marshallers must implements. Requires them to take Java data objects and convert primitive java data types (i.e. byte[]) and write to output provided.

Since the Marshaller is only responsible for doing the conversion to primitive type, does not make sense that would be supplied any type of object output to write to, as this implies that the object that it writes would be converted to bytes at some other point external to the marshaller.

Author:
  Tom Elrod

Method Summary
`Marshaller` | `cloneMarshaller()`
`void` | `write(java.lang.Object dataObject, java.io.OutputStream output)` Marshaller will need to take the dataObject and convert into primitive java data types and write to the given output.

Method Detail

### write

    void write(java.lang.Object dataObject,
               java.io.OutputStream output)
               throws java.io.IOException

  Marshaller will need to take the dataObject and convert into primitive java data types and write to the given output.

  Parameters:
    `dataObject` - Object to be writen to output
    `output` - The data output to write the object data to.
  Throws:
    `java.io.IOException`

### cloneMarshaller

    Marshaller cloneMarshaller()
                               throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.